--- DEPRECATED BY CHATGPT

-- local serpent = require('dev_utils.serpent')

-- --- @type {[string]: any}
-- local out = {
--     tileSize = tonumber(arg[1])
-- }

-- local idx = ""

-- for i = 0, #arg - 2, 5 do
--     local cnt = 1
--     idx = arg[i + 2]
--     out[idx] = {}
--     for x = tonumber(arg[i + 3]), tonumber(arg[i + 5]), tonumber(out.tileSize) do
--         for y = arg[i + 4], arg[i + 6], out.tileSize do
--             out[idx][idx .. cnt] = { quad = { x = x, y = y, w = out.tileSize, h = out.tileSize } }
--             cnt = cnt + 1
--         end
--     end
-- end

-- print("return " .. serpent.block(out))

-- -- command for test: luajit dev_utils/tile_generator.lua 32 grass 0 0 96 96 flower_grass 96 0 224 96 >> assets/tiles/grass/manifest2.lua
